//  main: main.less, out: ../style.css

/* ====================================================================================================================================
OBJECTS
======================================================================================================================================*/

// BUTTONS
.o-button {
    position: relative;
    display: inline-block;
    font-size: @size__s;
    font-weight: @font_w__m;
    color: @color-footer;
    text-align: center;
    min-width: 180px;
    height: 50px;
    line-height: 50px;
    border: solid 1px @color-primary;
    z-index: 0;
    .transition-elastic;

    &:after {
        position: absolute;
        content: '';
        display: block;
        width: 100%;
        height: 0%;
        bottom: 0;
        left: 0;
        right: 0;
        background-color: @color-primary;
        z-index: -1;
        .transition-elastic;
    }

    &:hover {
        color: @color-white;

        &:after {
            height: 50px;
        }
        &.white {
            color: @color-footer;
        }
    }

    &.white {
        color: @color-white;
        border-color: @color-white;

        &:after {
            background-color: @color-white;
        }
    }
}

.edit-link {
    position: fixed;
    bottom: @margin__m;
    left: @margin__m;
    height: @margin__m;
    width: @margin__m;
    line-height: @margin__m;
    text-align: center;
    background-color: @color-primary;
    text-transform: uppercase;
    font-weight: @font_w__b;
    .u-border-radius(100%);
    z-index: 999;
    > * {
        color: white!important;
    }

    @media @media_smartphone {
        display: none;
    }
}